cURL
curl --request GET \
--url https://your-hosted-ip/api/v1/agent/{agentId} \
--header 'Authorization: <api-key>'import requests
url = "https://your-hosted-ip/api/v1/agent/{agentId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://your-hosted-ip/api/v1/agent/{agentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"url": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"agent": {
"id": "<string>",
"accountId": "<string>",
"workspace": "<string>",
"statusChanges": [
{
"code": "<string>",
"sub_code": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"createdAt": "2023-11-07T05:31:56Z"
},
"joinParams": {
"agentId": "<string>",
"agentName": "<string>",
"meetingId": "<string>",
"meetingPassword": "<string>",
"meetingUrl": "<string>",
"webhookUrl": "<string>",
"platform": "<string>",
"metadata": {},
"automaticLeave": {
"EveryoneLeftTimeout": 123,
"NoOneJoinedTimeout": 123,
"WaitingRoomTimeout": 123
},
"adhoc": true
}
}{
"error": 123,
"message": "<string>"
}{
"error": 123,
"message": "<string>"
}Current APIs
Get Agent
Fetches agent details for a specific agent by agentId.
GET
/
agent
/
{agentId}
cURL
Authorizations
Use the format 'Token ' for authentication.
Path Parameters
The ID of the agent whose details is being fetched
⌘I